---
title: style
slug: Web/SVG/Attribute/style
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p><span class="seoSummary">The <strong><code>style</code></strong> attribute allows to style an element using {{Glossary("CSS")}} declarations. It functions identically to <a href="/en-US/docs/Web/HTML/Global_attributes/style">the <code>style</code> attribute in HTML</a>.</span></p>

<p>All elements are using this attribute.</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html,body,svg { height:100% }</pre>
</div>

<pre class="brush: html; highlight[3]">&lt;svg viewbox="0 0 100 60" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;rect width="80"  height="40" x="10" y="10"
      style="fill: skyblue; stroke: cadetblue; stroke-width: 2;"/&gt;
&lt;/svg&gt;
</pre>

<p>{{EmbedLiveSample("topExample", "200", "120")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>&lt;style&gt;</code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;style&gt;</code></dt>
 <dd>The syntax of style data depends on the style sheet language. By default, the style sheet language is <a href="/en-US/docs/Web/CSS">CSS</a>.</dd>
 <dd>
 <p class="note"><strong>Note:</strong> In theory, <a href="/en-US/docs/Web/SVG/Attribute/contentStyleType">the <code>contentStyleType</code> attribute</a> could be used to specify styling languages other than CSS, like <a href="/en-US/docs/Web/XSLT">XSL(T)</a>. However, this was never implemented satisfactorily in browsers, so you should not rely on it.</p>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "styling.html#StyleAttribute", "style")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "styling.html#StyleAttribute", "style")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.style.style")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("style")}}</li>
 <li><a href="/en-US/docs/Web/HTML/Global_attributes/style">HTML <code>style</code> attribute</a></li>
</ul>
